Monitoring
List monitor checks
List execution history for a monitor.
GET
/
v1
/
api
/
monitors
/
{id}
/
checks
List monitor checks
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors/{id}/checks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors/{id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors/{id}/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"checks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "baseline",
"scrapeTier": "<string>",
"durationMs": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"checkedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "unauthorized",
"message": "<string>"
}Was this page helpful?
⌘I
List monitor checks
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors/{id}/checks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors/{id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors/{id}/checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"checks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "baseline",
"scrapeTier": "<string>",
"durationMs": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"checkedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "unauthorized",
"message": "<string>"
}